# Notes related to gaming

_A lot of older files that I haven't touched recently were moved to this
directory. I don't think anyone was using them, so I am not afraid of
breaking links._

<!-- editorconfig-checker-disable -->
<!-- prettier-ignore-start -->

<!-- START doctoc generated TOC please keep comment here to allow auto update -->
<!-- DON'T EDIT THIS SECTION, INSTEAD RE-RUN doctoc TO UPDATE -->

- [Wayland / Sway](#wayland--sway)
  - [Issues and solutions](#issues-and-solutions)
    - [Constant camera rotation](#constant-camera-rotation)
    - [Cursor doesn't stick to game window](#cursor-doesnt-stick-to-game-window)
      - [Graphics corruption such as display full of black dots](#graphics-corruption-such-as-display-full-of-black-dots)
    - [Steam client itself is laggy](#steam-client-itself-is-laggy)

<!-- END doctoc generated TOC please keep comment here to allow auto update -->

<!-- prettier-ignore-end -->
<!-- editorconfig-checker-enable -->

## Wayland / Sway

### Issues and solutions

#### Constant camera rotation

Reload Sway in-game, `$Mod+Shift+C` and it should stop.

#### Cursor doesn't stick to game window

Run the game with `gamescope`.

Steam? Edit launch options for the game (second click, properties, general,
launch options):

```
gamescope --steam --borderless -- %command%
```

See also `gamescope --help`

- `--steam` - enables Steam integration, whatever that is
- `--borderless` borderless full-screen mode (that Sway may be making
  windowed though)

##### Graphics corruption such as display full of black dots

When the previous launch options cause this,

```
INTEL_DEBUG=norbc gamescope --steam --borderless -- %command%
```

I saw this advice at [gamescope#356](https://github.com/Plagman/gamescope/issues/356)
which says it's tracked at [freedesktop.org/mesa/mesa#6029](https://gitlab.freedesktop.org/mesa/mesa/-/issues/6029).

#### Steam client itself is laggy

Close/logoff friends window/network or disable its animations.

- https://github.com/ValveSoftware/steam-for-linux/issues/7245#issuecomment-897417115
